<?php

/**
 * @file
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->wrapper_prefix: A complete wrapper containing the inline_html to use.
 *   - $field->wrapper_suffix: The closing tag for the wrapper.
 *   - $field->separator: an optional separator that may appear before a field.
 *   - $field->label: The wrap label text to use.
 *   - $field->label_html: The full HTML of the label to use including
 *     configured element type.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
$target = '_blank';
$link = str_replace(
	array('<div class="field-content">','</div>'),
	'',
	$fields['field_enlace']->content
);
?>
<div class="views-field views-field-field-image">
	<?php if($link){ ?>
	<a href="<?php echo $link; ?>" target="<?php echo $target; ?>">
		<?php echo $fields['field_image']->content; ?>
	</a>
	<?php }else{ ?>
		<?php echo $fields['field_image']->content; ?>
	<?php } ?>
</div>
<style type="text/css">
	#block-views-nodequeue-9-block{
	    display: inline-block;
	    margin-bottom: 45px;
	    margin-right: 80px;
	    min-width: 180px;
	    vertical-align: top;
	}
	#block-views-nodequeue-9-block .block-title {
		padding-top: 0px;
	}
	#block-views-nodequeue-9-block img{
		margin: 0 auto 10px auto;
	}
</style>